Create Agent Guardrail
Reflects unpublished staged state - see GET /agents/{agent_id}/versions/latest for what's actually live.
Authorization
OAuth2AuthorizationCodeBearer In: header
Path Parameters
uuidQuery Parameters
trueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/stage/guardrails" \ -H "Content-Type: application/json" \ -d '{ "hook_point": "before_llm_call", "webhook_url": "http://example.com", "webhook_secret": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "hook_point": "string", "webhook_url": "string", "fail_open": true, "timeout_ms": 0, "enabled": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}